#!/bin/bash
# Uses new pairwise code which allows for inner subtree matching

declare -a lenVals=(16 18 20 22 24 26 29 32 35 39 43 47 52 57 63 69 76 84 92 101 111 122 134 147 162 178 196 216 238 262 288 317 349 384 400 422 432 464 504 544 588 635)
numLens=`expr ${#lenVals[@]} - 1`
#echo ${numLens}
for i in `seq 0 1 ${numLens}`;
do
    len1=${lenVals[$i]}
    for j in `seq $i 1 ${numLens}`;
    do
	len2=${lenVals[$j]}
	echo "$len1 $len2"
	command="python3 /home/tgillett/treesequencealigner/spaghetti.py -f /home/tgillett/fastaFromSwc/random/Mapping2/Method3/RandASTL-Length${len1}_1000Seqs.fasta -f2 /home/tgillett/fastaFromSwc/random/Mapping2/Method3/RandBSTL-Length${len2}_1000Seqs.fasta --gap -1 --gapopen -1 --custom ../identity.tab -n 8 -o GapOpen1_e3/BaselineScoreSTL-Lengths${len1}_${len2}.tab"
	echo $command
	$command
    done
done
