#!/bin/bash

declare -a lenVals=(16 18 20 22 24 26 29 32 35 39 43 47 52 57 63 69 76 84 92 101 111 122 134 147 162 178 196 216 238 262 288 317 349 384 422 464)
for i in `seq 0 1 36`;
do
    len1=${lenVals[$i]}
    for j in `seq $i 1 36`;
    do
	len2=${lenVals[$j]}
	echo "$len1 $len2"
	command="python3 /home/tgillett/treesequencealigner/spaghetti.py -f1 /home/tgillett/fastaFromSwc/random/Mapping2/Method3/RandASTL-Length${len1}_100000Seqs.fasta -f2 /home/tgillett/fastaFromSwc/random/Mapping2/Method3/RandBSTL-Length${len2}_100000Seqs.fasta --gap -1 --gapopen -3 -custom ../identity.tab -n 12 -o GapOpen3_e5/BaselineScoreSTL-Lengths${len1}_${len2}.tab"
	echo $command
	$command
    done
done
